4215 Java error: When connecting from IPS event viewer

Answered Question

Hello-

I received a java error when trying to connect to my 4215 with Cisco IPS event viewer. It is as follows:


IOException in open Subscription(): java.security.cert.CertificateExpiredException: NotAfter: Sunday March 29

Is the web server running on 10.x.x.x:443? Please check the communication parameters of the device.


I can set the date on my pc back to last week and all works fine like b4. I have tried updating my java to the latest version and created a new certificate from the IPS.

Any help would greatly be appreciated:

Thanks

Correct Answer by digisridhar about 8 years 1 month ago

Hi,


The issue can be resolved by following the steps as below


1.Login to the sensor.

2.Run the tls generate-key command.

3.Make sure the certificate is generated.

4.Add the device again. It should work now.

REf: http://www.cisco.com/en/US/products/hw/vpndevc/ps4077/products_qanda_item09186a008025c533.shtml

Do rate if it helped.


Regards

Sridhar

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4 (1 ratings)
Loading.

Actions

This Discussion